extend("fiskheroes:hero_basic");
loadTextures({
	"layer1": "tgheroes:rhino/noskin_rhino",
	"layer2": "tgheroes:rhino/rhino_layer2",
	"horn": "tgheroes:rhino/horn"
});

var utils = implement("fiskheroes:external/utils");
var horn;

function initEffects(renderer) {
	horn = renderer.createEffect("fiskheroes:model");
    horn.setModel(utils.createModel(renderer, "tgheroes:rhinohorn", null, "horn"));
    horn.anchor.set("head");
	horn.setScale(1.5);
	horn.setOffset(0.0, 5.0, 3.8);

}



function render(entity, renderLayer, isFirstPersonArm) {
    if (renderLayer == "HELMET") {
        horn.render();
    }
}